mindspore.nn.probability
========================

mindspore.nn.probability.bijector
---------------------------------

.. automodule:: mindspore.nn.probability.bijector
    :members:
    
mindspore.nn.probability.bnn_layers
-----------------------------------

.. automodule:: mindspore.nn.probability.bnn_layers
    :members:
    :exclude-members: ConvReparam , DenseReparam
    
    .. autoclass:: ConvReparam(in_channels, out_channels, kernel_size,stride=1, pad_mode='same', padding=0, dilation=1, group=1, has_bias=False, weight_prior_fn=NormalPrior, weight_posterior_fn=<lambda name, shape: NormalPosterior(name=name, shape=shape)>, bias_prior_fn=NormalPrior, bias_posterior_fn=<lambda name, shape: NormalPosterior(name=name, shape=shape)>)
        :members:
    
    .. autoclass:: DenseReparam(in_channels, out_channels, activation=None, has_bias=True, weight_prior_fn=NormalPrior, weight_posterior_fn=<lambda name, shape: NormalPosterior(name=name, shape=shape)>, bias_prior_fn=NormalPrior, bias_posterior_fn=<lambda name, shape: NormalPosterior(name=name, shape=shape)>)
        :members:
            
    .. autoclass:: WithBNNLossCell
        :members:
    
mindspore.nn.probability.distribution
-------------------------------------

.. automodule:: mindspore.nn.probability.distribution
    :members:
    
mindspore.nn.probability.dpn
----------------------------

.. automodule:: mindspore.nn.probability.dpn
    :members:
    
mindspore.nn.probability.infer
------------------------------

.. automodule:: mindspore.nn.probability.infer
    :members:
 
mindspore.nn.probability.toolbox
--------------------------------

.. automodule:: mindspore.nn.probability.toolbox
    :members:
 
mindspore.nn.probability.transforms
-----------------------------------

.. automodule:: mindspore.nn.probability.transforms
    :members:
